Skip to main content
GET
/
api
/
v1
/
events
Query platform events
curl --request GET \
  --url https://forge.gloo.ai/api/v1/events \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "timestamp": 123,
      "source": "<string>",
      "category": "<string>",
      "eventType": "<string>",
      "severity": "<string>",
      "actor": "<string>",
      "displayLabel": "<string>"
    }
  ],
  "meta": {
    "requestId": "<string>",
    "hasMore": true,
    "nextCursor": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API key from /api/v1/keys. Pass as Authorization: Bearer <key>.

Query Parameters

since
string
required

Start timestamp (ms epoch or ISO 8601)

until
string

End timestamp

category
string

Comma-separated category filter

source
string

Comma-separated source filter

severity
string

Comma-separated severity filter

runId
string

Filter by run ID

agentId
string

Filter by agent ID

gatewayId
string

Filter by gateway ID

interfaceId
string

Filter by interface ID

resourceType
string

Filter by resource type

resourceId
string

Filter by resource ID

limit
integer
default:50

Page size

Required range: 1 <= x <= 100
cursor
string

Pagination cursor

Response

200 - application/json

Event list

data
object[]
meta
object